Holger's Java API

## com.antelmann.math
Interface TimeDataParser<T>

Type Parameters:
  `T` - the type of Objects that are processed by this parser

All Known Implementing Classes:
  EntryAnalyzer, ObjectAnalyzer

    public interface TimeDataParser<T>

responsible for extracting relevant data from given objects

Since:
  07/04/08
Author:
  Holger Antelmann
See Also:
  `TimeDataGrid`, `TimeInterval`

Method Summary
`Object` `extractCriteria(T entry)` allows for an additional criteria to be extracted; may return null
`Date` `extractDate(T entry)` extracts the relevant date from the given entry; must not return null
`Number` `extractNumber(T entry)` extracts the relevant number to be aggregated by for the given entry; must not return null

Method Detail

### extractNumber

    Number extractNumber(T entry)

  extracts the relevant number to be aggregated by for the given entry; must not return null

### extractDate

    Date extractDate(T entry)

  extracts the relevant date from the given entry; must not return null

  See Also:
    `TimeInterval`

### extractCriteria

    Object extractCriteria(T entry)

  allows for an additional criteria to be extracted; may return null

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads